<?php
include 'data.php';

function getStopsOfRoute($id){
    global $routes;
    foreach ($routes as $route){
        if ($route['id'] == $id){
            return $route['stops'];
        }
    }
}

function getRoutesOfLine($line){
    global $routes;
    $tmp = array();
    foreach ($routes as $route){
        if ($route['line'] == $line){
            array_push($tmp, $route);
        }
    }
    return $tmp;
}

function getRoutesByStop($stopId){
    global $routes;
    $tmp = array();
    foreach ($routes as $route){
        foreach ($route['stops'] as $stop){
            if ($stop == $stopId){
                array_push($tmp, $route);
            }
        }
    }
    return $tmp;
}

function isValidRoute($id){
    global $routes;
    foreach ($routes as $route){
        if ($route['id'] == $id){
            return true;
        }
    }
    return false;
}

function isValidLine($line){
    global $routes;
    foreach ($routes as $route){
        if ($route['line'] == $line){
            return true;
        }
    }
    return false;
}

function isValidStop($stp){
    global $stops;
    foreach ($stops as $stop){
        if ($stop['id'] == $stp){
            return true;
        }
    }
    return false;
}


function getRouteInfo($id){
    global $routes;
    foreach ($routes as $route){
        if ($route['id'] == $id){
            return $route;
        }
    }
    return false;
}

function getStopInfo($id){
    global $stops;
    foreach ($stops as $stop){
        if ($stop['id'] == $id){
            return $stop;
        }
    }
    return false;
}

function getLabelOfDir($dir){
    if ($dir == 'go'){
        return '<span class="label label-info">Go</span>';
    } else if ($dir == 'come'){
        return '<span class="label label-primary">Come</span>';
    } else {
        return false;
    }
}

?>
